Results 1 to 2 of 2

Thread: [Solution] Fix vulnerable wordpress site & upgrade it to the latest version

  1. #1
    Join Date
    Apr 2001
    Posts
    169

    [Solution] Fix vulnerable wordpress site & upgrade it to the latest version

    Hey guys,

    I have wrote a PHP script to search & remove vulnerable code & any 'extra' admin found on your wordpress site.

    This script will also upgrade your wordpress to the latest version.

    No PHP system, exec or any regular execution command is used as i know some webhosts disable them... it will works as long as you have PHP 4/5 & curl function.

    Works for wordpress as old as 2.5.x .

    Who can use the script
    =================
    - those with outdated wp . The script will do vulnerability check and as well as upgrade your wp.
    - those with the latest wp. The script will skip the upgrade and do vulnerability check for you instead.

    What the script does
    ===========================
    1. Search for vulnerable code & 'extra' admin. Remove them, of course.
    2. Backup wp's database
    3. Upgrade your wp to the latest

    Instructions:
    =========

    1. Download the script from http://www.mxhub.com/fix_update_wp.zip
    2. Upload to your wordpress directory where wp-config is reside
    3. Go to http://yoursite.com/fix_update_wp.php to start the engine.
    4. Done.

    5. Give your feedback or report any problem.
    http://forums.mxhub.com/showthread.php?t=798


    My humble coding. Works for what i wanted. Hope it helps.

    -joseph([at})mxhub.com
    Last edited by joseph; 09-08-2009 at 11:26 AM.

  2. #2
    Join Date
    Apr 2001
    Posts
    519
    =========================
    Updates & changes for the script
    ==========================

    08 Sept 09 - Able to detect the table prefix automatically now. Not necessary restrict to wp_ table prefix as some users may have set their own custom table prefix.
    Kind Regards,

    Mxhub Support

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •